Package org.eclipse.emf.cdo.edit

## Class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

- java.lang.Object
- - org.eclipse.emf.cdo.edit.CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider

- All Implemented Interfaces:
    `IItemLabelProvider`
  Enclosing class:
    CDOItemProviderAdapter.CDOPropertyDescriptor

      @Deprecated
      public static class CDOItemProviderAdapter.CDOPropertyDescriptor.DefaultLabelProvider
      extends java.lang.Object
      implements IItemLabelProvider

  Deprecated.
  as of 4.4 not used any more.
  A default implementation of `IItemLabelProvider`.
  Author:
    Eike Stepper

- - ### Constructor Summary

    Constructors
    Constructor | Description
    --- | ---
    `DefaultLabelProvider()` | Deprecated.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `getImage​(java.lang.Object object)` | Deprecated.
    `java.lang.String` | `getText​(java.lang.Object object)` | Deprecated.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### DefaultLabelProvider

          public DefaultLabelProvider()

      Deprecated.

  - ### Method Detail

    - #### getImage

          public java.lang.Object getImage​(java.lang.Object object)

      Deprecated.
      Specified by:
        `getImage` in interface `IItemLabelProvider`

    - #### getText

          public java.lang.String getText​(java.lang.Object object)

      Deprecated.
      Specified by:
        `getText` in interface `IItemLabelProvider`